com.google.gwt.user.client.ui

## Class WidgetIterators

- java.lang.Object
- - com.google.gwt.user.client.ui.WidgetIterators

    class WidgetIterators
    extends java.lang.Object

A collection of convenience factories for creating iterators for widgets. This mostly helps developers support `HasWidgets` without having to implement their own `Iterator`.

### Method Summary

All Methods Static Methods Concrete Methods
`(package private) static java.util.Iterator<Widget>` `createWidgetIterator(HasWidgets container, Widget[] contained)` Wraps an array of widgets to be returned during iteration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createWidgetIterator

    static final java.util.Iterator<Widget> createWidgetIterator(HasWidgets container,
                                                                 Widget[] contained)

Wraps an array of widgets to be returned during iteration. `null` is allowed in the array and will be skipped during iteration.

Parameters:
  `container` - the container of the widgets in `contained`
  `contained` - the array of widgets
Returns:
  the iterator